Name:           python-pytest-randomly
Version:        3.15.0
Release:        1
Summary:        Pytest plugin to randomly order tests and control random.seed

License:        MIT License
URL:            https://github.com/pytest-dev/pytest-randomly
Source0:        %{url}/archive/%{version}/pytest_randomly-%{version}.tar.gz
BuildArch:      noarch

%description
Pytest plugin to randomly order tests and control random.seed.

%package -n     python3-pytest-randomly
Summary:        %{summary}

# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-wheel

%description -n python3-pytest-randomly
Pytest plugin to randomly order tests and control random.seed.

%prep
%autosetup -n pytest_randomly-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-pytest-randomly
%license LICENSE
%doc README.rst
%{python3_sitelib}/pytest_randomly-*dist-info/
%{python3_sitelib}/pytest_randomly/

%changelog
* Tue Mar 5 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 3.15.0-1
- Update package with version 3.15.0
  Make requirements compile disable pip's require-virtualenv flag always
  Update setuptools config
  Add dependabot configuration for GitHub Actions
  Bump actions/setup-python from 3 to 4
  Activate numpy tests on Python 3.11
  Add setup-cfg-fmt to pre-commit

* Wed Jul 05 2023 mengzhaoa <mengzhaoa@isoftstone.com> - 3.12.0-1
- Upgrade package python3-pytest-randomly of version to 3.12.0

* Thu Jun 23 2022 OpenStack_SIG <openstack@openeuler.org> - 1.0.0-1
- Init package python3-pytest-randomly of version 1.0.0
